package kerho;

/**
 * CRC sisällöt tähän
 * @author vesal
 * @version 23.2.2021
 */
public class Kerho {
    private Jasenet jasenet = new Jasenet();
    
    /**
     * Lisätään uusi jäsen
     * @param jasen lisättävä jäsen
     * @throws SailoException jos lisääminen ei onnistu
     */
    public void lisaa(Jasen jasen) throws SailoException {
        this.jasenet.lisaa(jasen);
    }

    
    /**
     * @return jäsenten lkm
     */
    public int getJasenia() {
        return this.jasenet.getLkm();
    }
    
    
    /**
     * Antaa kerhon i:n jäsenen
     * @param i monesko jäsen (alkaa 0:sta)
     * @return jäsen paikasta i
     */
    public Jasen annaJasen(int i) {
        return jasenet.anna(i);
    }
    
    
    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        Kerho kerho = new Kerho();

        Jasen aku = new Jasen();
        Jasen aku2 = new Jasen();
        aku.rekisteroi();
        aku.vastaaAkuAnkka();     
        aku2.rekisteroi();
        aku2.vastaaAkuAnkka();    

        try {
            kerho.lisaa(aku);
            kerho.lisaa(aku2);
            kerho.lisaa(aku2);
            kerho.lisaa(aku2);
            kerho.lisaa(aku2);
            kerho.lisaa(aku2);
        } catch (SailoException e) {
            System.err.println(e.getMessage());
        }
        
        for (int i=0; i<kerho.getJasenia(); i++) {
            Jasen jasen = kerho.annaJasen(i);
            jasen.tulosta(System.out);
        }
    }

}
